Bug 492272 - Kernel panic caused by bnx2?
Kernel panic caused by bnx2?
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Ivan Vecera
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 06:06 EDT by Martijn Posthuma
Modified: 2009-04-22 11:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 11:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace kernel panic bnx2_poll (71.79 KB, image/jpeg)
2009-03-26 06:06 EDT, Martijn Posthuma
no flags Details

  None (edit)
Description Martijn Posthuma 2009-03-26 06:06:08 EDT
Created attachment 336774 [details]
stacktrace kernel panic bnx2_poll

Description of problem:
Kernel panic. Probably caused by bnx2 driver.

Version-Release number of selected component (if applicable):
Kernel: 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:15 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
bnx2 module: (part of the kernel package)
Broadcom NetXtreme II Gigabit Ethernet Driver bnx2 v1.6.9 (December 8, 2007)

How reproducible:
unsure. It occured on a production server.


Additional info:
A snapshot was taken from the console screen after the server crashed. It is a added as an attachment.
The machine is a DELL Poweredge 2950.

This problem seems to have occured about 2 years ago (medio 2007) and was fixed according to most sources I can find on the internet. There are several locations mentioning redhat bug 225350 in relation to a bnx2 kernel crash. I cannot verify if this issue is related since I do not have view rights to this bug.
Comment 1 Ivan Vecera 2009-03-27 10:11:31 EDT
The bug #225350 is just "bump to 1.5.1 version request". Your problem is probably fixed in latest RHEL-5 kernel 2.6.18-128.el5. If not you can test my latest kernel build with up to date bnx2 driver (v1.9.3). The packages are available at:
http://people.redhat.com/ivecera/rhel-5-ivtest/

Note You need to log in before you can comment on or make changes to this bug.